routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*
Route::get('/reserver', function () {
    return view('user.reserver');
});
Route::get('/blog', function () {
    return view('user.blog');
});

Route::group(['namespace'=>'User'],function () {
    Route::get('/','HomeController@index')->name('home');
    Route::get('/article/{article?}','ArticleController@post')->name('article');
    Route::get('/feedback','FeedBackController@create')->name('feedback.create');
    Route::post('/feedback','FeedBackController@store')->name('feedback.store');
    Route::get('/reserver','ReservationController@create')->name('reserver.create');
    Route::post('/reserver','ReservationController@store')->name('reserver.store');


});*/
Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');
/*Route::get('adm/post', function () {
    return view('admin/Blog/post');

});*/

//        $this->post('login', 'Auth\LoginController@login');



    Route::group(['namespace'=>'Admin'],function () {

        Route::get('/', 'Auth\LoginController@showLoginForm')->name('admin.login');
        Route::get('admin-login', 'Auth\LoginController@showLoginForm')->name('admin.login');
        Route::post('admin-login', 'Auth\LoginController@login');
        Route::post('admin-logout', 'Auth\LoginController@logout')->name('admin.logout');
        Route::resource('admin/service', 'ServiceController');
        Route::resource('admin/region', 'RegionController');
        Route::resource('admin/users', 'UserController');
        Route::get('admin/users1','UserController@index1')->name('users.index1');
        Route::resource('admin/fournisseurs', 'FournisseurController');
        Route::get('admin/fournisseurs1','FournisseurController@index1')->name('fournisseurs.index1');
        Route::resource('admin/projet', 'ProjetController');
        Route::resource('admin/feedback', 'FeedbackController');
        Route::resource('admin/rapport', 'RapportController');
        Route::resource('admin/propostion', 'PropositionController');
        Route::get('admin/propostion/{propostion}', 'PropositionController@index1')->name('propostion.view');
        Route::get('admin/projet1', 'ProjetController@index0')->name('projet.index0');
        Route::get('admin/projet2', 'ProjetController@index1')->name('projet.index1');
        Route::get('admin/projet3', 'ProjetController@index2')->name('projet.index2');
        Route::get('admin/projet4', 'ProjetController@index3')->name('projet.index3');
        Route::get('admin/planning', 'ProjetController@planning')->name('projet.planning');
        Route::get('admin/home', 'HomeController@index')->name('admin.home');
        Route::get('admin/changePassword','HomeController@showChangePasswordForm');
        Route::post('admin/changePassword','HomeController@changePassword')->name('changePassword');


        //Route::resource('admin/articles', 'ArticleController');
    //Route::resource('admin/materiels', 'MaterielController');

    //Route::resource('admin/clients', 'ClientController');
    //Route::resource('admin/employes', 'EmployeController');
    //Route::resource('admin/reservation', 'ReservationController');


    });

app/User.php
<?php

namespace App;

use App\Model\Article;
use App\Model\Equipe;
use App\Model\Feedback;
use App\Model\Materiel;
use App\Model\Rapport;
use App\Model\Region;
use App\Model\Reservation;
use App\Model\Service;
use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Support\Facades\App;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name','lastname', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function services()
    {
        return $this->belongsToMany(Service::class);
    }

    public function regions()
    {
        return $this->belongsToMany(Region::class);
    }
    public  function reservations()
    {
        return $this->hasMany('App\Model\Reservation');
    }
    public  function projets()
    {
        return $this->hasMany('App\Model\Projet');
    }
    public  function feedbacks()
    {
        return $this->hasMany('App\Model\Feedback');
    }
    /*public $table2='articles';
    public $primaryKey2='id';
    public  function article()
    {
        return $this->hasMany(Article::class);
    }
    public $table3='services';
    public $primaryKey3='id';
    public  function service()
    {
        return $this->hasMany(Service::class);
    }
    public $table4='rapports';
    public $primaryKey4='id';
    public  function rapport()
    {
        return $this->hasMany(Rapport::class);
    }
    public $table5='materiels';
    public $primaryKey5='id';
    public  function materiel()
    {
        return $this->hasMany(Materiel::class);
    }
    public $table6='feedbacks';
    public $primaryKey6='id';
    public  function feedback()
    {
        return $this->hasMany(Feedback::class);
    }*/

}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Model\admin\admin;

class UserController extends Controller
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth:admin');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::where('role','demandeur')->where('status',0)->get();
        return view('admin.user.show',compact('users'));
    }
    public function index1()
    {
        $users = User::where('role','demandeur')->where('status',1)->get();
        return view('admin.user.show',compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.user.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'name' => 'required|string|max:255',
            'email' => 'required|string|email|max:255|unique:admins',
            'phone' => 'required|numeric',
             'password' => 'required|string|min:6|confirmed',
        ]);
        $request['password'] = bcrypt($request->password);
        $user = $users = admin::create($request->all());
       // return $request;
        return redirect(route('users.index'));

       /* $request['password'] = bcrypt($request->password);
        $user = admin::create($request->all());
        return redirect(route('user.index'));*/
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = User::find($id);
       // return $user;
        return view('admin.user.edit',compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request,[

            'nom' => 'required|string|max:255',
            'prenom' => 'required|string|max:255',
            'email' => 'required|string|email|max:255',
            'telephone' => 'required|numeric',
        ]);
        $request->status? : $request['status']=0;
        $user = User::where('id',$id)->update($request->except('_token','_method'));
        return redirect(route('users.index'))->with('message','User updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        admin::where('id',$id)->delete();
        return redirect()->back()->with('message','User is deleted successfully');
    }
}

app/Http/Controllers/User/ArticleController.php
<?php

namespace App\Http\Controllers\User;
use App\Model\Article;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ArticleController extends Controller
{
    public function index()
    {
        $recentarticles = Article::orderBy('created_at', 'desc')->limit(3)->get();
        //return $article;
       return  $recentarticles;
    }
    public function post(Article $article =null)

    {
        if($article == null ) {
            $article = Article::orderBy('id', 'DESC')->first();

        }
     $recentarticles = $this->index();
   return view ('user.Blog.post',compact('article','recentarticles'));


    }
}

app/Http/Controllers/User/FeedbackController.php
<?php

namespace App\Http\Controllers\User;

use App\Model\Feedback;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class FeedbackController extends Controller

{
    public function __construct()
    {
        $this->middleware('auth:web');
    }
    public function create()
    {
        return view ('user\feedback');

    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        request()->validate([

            'name' => 'required',
            'message' => 'required',
        ]);
        $request->user();
        $feedback = new Feedback();
        $feedback->sujet= $request->name;
        $feedback->message= $request->message;
        $feedback->user_id= $request->user()->id;
        $feedback->save();

        return redirect()->route('home');

    }
}

app/Http/Controllers/User/HomeController.php
<?php
namespace App\Http\Controllers\User;
use App\Model\Article;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public function index()
    {
        $articles = Article::orderBy('created_at', 'desc')->limit(3)->get();
        //return $article;
        return view ('home',compact('articles'));
    }
}

app/Http/Controllers/User/ReservationController.php
<?php

namespace App\Http\Controllers\User;
use App\Model\Projet;
use App\Model\Service;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ReservationController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:client');
    }
    public function create()
    {
        $services =Service::all();
        return view ('user.reserver',compact('services'));

    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {


        request()->validate([

            'title' => 'required',
            'adresse' => 'required',
            'description' => 'required',



        ]);
        $request->user();
        $reserver = new Projet();
        $reserver->titre= $request->title;
        $reserver->adresse= $request->adresse;
        $reserver->etat_id =1;
        $reserver->description= $request->description;
        $reserver->user_id= $request->user()->id;
        $reserver->service_id= $request->service;


        $reserver->save();

        return redirect()->route('home');



    }
}

resources/views/admin/user/add.blade.php
@extends('admin.layouts.app')

@section('main-content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper" xmlns:color="http://www.w3.org/1999/xhtml"
         xmlns:text-color="http://www.w3.org/1999/xhtml">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Gestion de service
            </h1>
        </section>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <!-- general form elements -->
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Add Admin</h3>
                        </div>
                    @include('admin.includes.messages')
                        <!-- /.box-header -->
                        <!-- form start -->
                        <form role="form" action="{{ route('users.store') }}" method="post">
                            @csrf
                            <div class="box-body">
                                <div class="col-lg-offset-3 col-lg-6">
                                    <div class="form-group">
                                        <label for="name">User Name
                                        </label>
                                        <input type="text" class="form-control" id="name" name="name" placeholder="User Name" value="{{ old('name') }}" >
                                    </div>

                                    <div class="form-group">
                                        <label for="email">Email</label>
                                        <input type="text" class="form-control" id="email" name="email" placeholder="email" value="{{ old('email') }}" >
                                    </div>

                                    <div class="form-group">
                                        <label for="phone">Phone</label>
                                        <input type="tel" class="form-control" id="phone" name="phone" placeholder="phone" value="{{ old('phone') }}" >
                                    </div>

                                    <div class="form-group">
                                        <label for="password">Password</label>
                                        <input type="password" class="form-control" id="password" name="password" placeholder="password" value="{{ old('password') }}" >
                                    </div>

                                    <div class="form-group">
                                        <label for="password_confirmation">Confirm Passowrd</label>
                                        <input type="password" class="form-control" id="password_confirmation" name="password_confirmation" placeholder="confirm passowrd" >
                                    </div>

                                    <div class="form-group">
                                        <label for="confirm_passowrd">Status</label>
                                        <div class="checkbox">
                                            <label ><input type="checkbox" name="status" @if (old('status') == 1)
                                                checked
                                                           @endif value="1">Status</label>
                                        </div>
                                    </div>

                                  <!--  <div class="form-group">
                                        <label>Assign Role</label>
                                      <select name="role" id="role" class="form-control">
                                          <option value="1">Chef d'equipe</option>
                                          <option value="0">Ouvrier</option>

                                      </select>
                                    </div>-->

                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Submit</button>
                                            <a href='{{ route('users.index') }}' class="btn btn-warning">Back</a>
                                        </div>
                                </div>




                        </form>
                    </div>
                    <!-- /.box -->


                </div>
                <!-- /.col-->
            </div>
            <!-- ./row -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

resources/views/admin/user/edit.blade.php
@extends('admin.layouts.app')

@section('main-content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">

        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <!-- general form elements -->
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Update Admin</h3>
                        </div>

                    @include('admin.includes.messages')
                    <!-- /.box-header -->
                        <!-- form start -->
                        <form role="form" action="{{ route('users.update',$user->id) }}" method="post">
                            {{ csrf_field() }}
                            {{ method_field('PUT') }}
                            <div class="box-body">
                                <div class="col-lg-offset-3 col-lg-6">
                                    <div class="form-group">
                                        <label for="name">Nom</label>
                                        <input type="text" class="form-control" id="nom" name="nom" placeholder="Nom" value="@if (old('nom')){{ old('nom') }}@else{{ $user->nom }}@endif">
                                    </div>
                                    <div class="form-group">
                                        <label for="name">Prenom</label>
                                        <input type="text" class="form-control" id="prenom" name="prenom" placeholder="Prenom" value="@if (old('prenom')){{ old('prenom') }}@else{{ $user->prenom }}@endif">
                                    </div>

                                    <div class="form-group">
                                        <label for="email">Email</label>
                                        <input type="text" class="form-control" id="email" name="email" placeholder="email" value="@if (old('email')){{ old('email') }}@else{{ $user->email }}@endif">
                                    </div>

                                    <div class="form-group">
                                        <label for="phone">Phone</label>
                                        <input type="text" class="form-control" id="telephone" name="telephone" placeholder="telephone" value="@if (old('telephone')){{ old('telephone') }}@else{{ $user->telephone }}@endif">
                                    </div>

                                    <div class="form-group">
                                        <label for="confirm_passowrd">Status</label>
                                        <div class="checkbox">
                                            <label ><input type="checkbox" name="status"
                                                           @if (old('status')==1 || $user->status == 1)
                                                           checked
                                                           @endif value="1">Activer</label>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Submit</button>
                                            <a href='{{ route('users.index') }}' class="btn btn-warning">Back</a>
                                        </div>

                                    </div>

                                </div>

                        </form>
                    </div>
                    <!-- /.box -->


                </div>
                <!-- /.col-->
            </div>
            <!-- ./row -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

resources/views/admin/user/show.blade.php
@extends('admin\layouts\app')
@section('headSection')
    <link rel="stylesheet" href="{{ asset('admin/plugins/datatables/dataTables.bootstrap.css') }}">
@endsection
@section('main-content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>Demandeurs</h1>
        </section>

        <!-- Main content -->
        <section class="content">

            <!-- Default box -->
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">Liste des demandeurs</h3>
                    @include('admin.includes.messages')
                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                            <i class="fa fa-minus"></i></button>
                        <!--<button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
                            <i class="fa fa-times"></i></button>-->
                    </div>
                </div>
                <div class="box-body">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title"></h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>N°</th>
                                    <th>Nom complet</th>
                                    <th>Email</th>
                                    <th>status</th>
                                    <th>societe</th>
                                    <th>adresse</th>
                                    <th>tele</th>
                                    <th>Edit</th>
                                    <th>Delete</th>

                                </tr>
                                </thead>
                                <tbody>
                                @foreach($users as $user)
                                <tr>
                                    <td>{{$loop->index + 1}}</td>
                                    <td>{{$user->prenom}} {{$user->nom}}</td>
                                    <td>{{$user->email}}</td>
                                    @if($user->status == 0)
                                    <td>désactivier</td>
                                    @else
                                        <td>Activier</td>
                                    @endif

                                        <td>{{$user->societe}}</td>
                                    <td>{{$user->adresse}}</td>
                                    <td>{{$user->telephone}}</td>
                                    <td><a href="{{ route('users.edit',$user->id) }}"><span class="glyphicon glyphicon-edit"></span></a></td>

                                    <td>
                                        <form  id="delete-form-{{$user->id}}" method="post" action="{{route('users.destroy',$user->id)}}" style="display: none">
                                                {{csrf_field()}}
                                            {{method_field('DELETE')}}
                                        </form>
                                        <a href="" onclick="if(confirm ('Are you sure ,You want to delete')){

                                                event.preventDefault();document.getElementById('delete-form-{{$user->id}}').submit(); }
                                                else
                                                {

                                                event.preventDefault();
                                                }

                                                "><span class="glyphicon glyphicon-trash"></span></a>


                                    </td>

                                </tr>
                                @endforeach

                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>N°</th>
                                    <th>Nom&Prenom</th>
                                    <th>Email</th>
                                    <th>status</th>
                                    <th>societe</th>
                                    <th>adresse</th>
                                    <th>tele</th>
                                    <th>Edit</th>
                                    <th>Delete</th>

                                </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    Footer
                </div>
                <!-- /.box-footer-->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>



@endsection
@section('footerSection')
    <script src="{{ asset('admin/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('admin/plugins/datatables/dataTables.bootstrap.min.js') }}"></script>
    <script>
        $(function () {
            $("#example1").DataTable();
        });
    </script>
@endsection